package com.ruoyi.gysl.service;

import com.ruoyi.gysl.entity.Notice;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;

import java.util.List;

/**
 * 政务统计服务接口
 *
 * @author makejava
 * @since 2025-02-24 11:10:06
 */
public interface ZwStatsService {

    /**
     * 项目情况
     */
    AllProjectResponse allProject();

    /**
     * 功能区
     */
    List<RibbonResponse> ribbon();

    /**
     * 投资主体
     */
    List<RibbonResponse> investors();


    /**
     * 消息通知
     */
    List<Notice> zwNotice();

    /**
     * 政务消息通知数量
     */
    int zwNoticeCount();
}

